package net.seesaa.androidzaurus.rotateview;

import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.app.Activity;
import android.os.Bundle;
import android.media.MediaPlayer;
import android.os.DeadObjectException;
import java.lang.String;

public class RotateView extends Activity {

	private MediaPlayer ringerTonePlayer = new MediaPlayer();
	
	/** Called when the activity is first created. */
    @Override
	protected void onCreate(Bundle icicle)
    {
        super.onCreate(icicle);

        setContentView(R.layout.main);

        // Watch for button clicks.
        Button button = (Button)findViewById(R.id.portrait_view);
        button.setOnClickListener(mPortraitViewListener);
        
        button = (Button)findViewById(R.id.landscape_view);
        button.setOnClickListener(mLandscapeViewListener);

        button = (Button)findViewById(R.id.portrait_flip_view);
        button.setOnClickListener(mPortraitFlipViewListener);
        
        button = (Button)findViewById(R.id.landscape_flip_view);
        button.setOnClickListener(mLandscapeFlipViewListener);

    }

    
    
    
    private void mySetOrientation(int mode)
    {
    	String s = "window";
    	String f = "/system/media/audo/ringtones/";
    	try {
    		android.os.IServiceManager sm = android.os.ServiceManagerNative.getDefault();
    		android.view.IWindowManager windowService =
    			android.view.IWindowManager.Stub.asInterface(sm.getService(s));
    		windowService.setOrientation(mode);
    	}
    	catch (DeadObjectException e) {
    	}
		try {
			switch (mode) {
			case 0: f += "ringer.mp3"; break;
			case 1: f += "ring3.mp3"; break;
			case 2: f += "em_ringtone1.mp3"; break;
			case 3: f += "em_ringtone2.mp3"; break;
			}
			ringerTonePlayer.stop();
			ringerTonePlayer.setDataSource(f);
			ringerTonePlayer.prepare();
			ringerTonePlayer.start();
			} catch( Exception e ) {
		}
    }
    
    private OnClickListener mPortraitViewListener = new OnClickListener()
    {
        public void onClick(View v)
        {
        	mySetOrientation(0);
        }
    };

    private OnClickListener mLandscapeViewListener = new OnClickListener()
    {
        public void onClick(View v)
        {
        	mySetOrientation(1);
        }
    };

    private OnClickListener mPortraitFlipViewListener = new OnClickListener()
    {
        public void onClick(View v)
        {
        	mySetOrientation(2);
        }
    };

    private OnClickListener mLandscapeFlipViewListener = new OnClickListener()
    {
        public void onClick(View v)
        {
        	mySetOrientation(3);
        }
    };
}
